## rtfilter 1.3

=== meson_options.txt ===
option('tests', type: 'feature', value: 'auto',
        description: 'build unit tests')
option('perf', type: 'feature', value: 'auto',
        description: 'build perf-test')
option('docs', type : 'feature', value: 'auto',
        description: 'build documentation')

=== doc/examples/Makefile ===
LIBS=-lrtfilter

all: butterworth

butterworth: butterworth.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

clean: 
	$(RM) butterworth

## rtfilter 1.1

=== debian/changelog ===
rtfilter (1.1-4build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:50:51 +0200

rtfilter (1.1-4build1) eoan; urgency=medium

  * No-change rebuild to drop multiarch-support dependency.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 03:42:00 +0000

rtfilter (1.1-4) unstable; urgency=low

  * Bump debhelper version to 9.
  * Add multiarch support.
  * Bump policy version to 3.9.3 -- no changes.
  * Use versioned copyright format URI.

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Tue, 08 May 2012 14:54:07 +0200

rtfilter (1.1-3) unstable; urgency=low

  * New patch: fix-sse3-test-ignored-in-filter-complex-double.patch

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 02 Feb 2012 07:28:32 +0100

rtfilter (1.1-2) unstable; urgency=low

  * Fix 'reatime' typo in package description. (Closes: #652577)
  * Fix SSE2 and SSE3 runtime test. 
    New patch: fix-sse2-sse3-runtime-check.patch 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Wed, 25 Jan 2012 18:46:48 +0100

rtfilter (1.1-1) unstable; urgency=low

  * Update maintainer email 
  * Switch to "3.0 (quilt)" source package format 
  * DEP5 compliant debian/copyright 
  * Install all docs in doc folder of librtfilter1 
  * Install NEWS, AUTHORS and README in doc folder
  * Tighten build-dependency on debhelper to >= 7.0.50~ due to override_
    rules.
  * Bump Standards-version to 3.9.2 
  * Provides a -dbg package 
  * Update optional fields in control (Vcs-Git, Vcs-Browser, Homepage) 
  * Add debian/watch 
  * Use DEB_*_MAINT_* to specify compiler and linker flags.
  * Fix terminal echo after running test 
  * Only provide an unversioned librtfilter-dev package. 
  * Use dh-autoreconf 
  * patch: make matlab tests user-controllable
  * disable matlab tests
  * Update package description
  * patch: move config.h into src/
  * Build-depends on dpkg-dev (>= 1.16.1~): necessary for the inclusion
    of /usr/share/dpkg/buildflags.mk in debian/rules
  * Fix debclean: remove src/config.h and src/stamp-h1 manually.

  * Upload sponsored by Michael Hanke <mih@debian.org>
  * Initial release. (Closes: #646956) 

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Thu, 01 Dec 2011 12:09:30 +0100

rtfilter (1.1-0) lucid; urgency=low

  * Relicense in LGPL3
  * Use runtime selection of optimal filter routine (use of cpuid)
  * Use debhelper instead of cdbs
  * Force -O3 compilation flags in debian/rules
  * Check for matlab presence to tests

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Tue, 18 Oct 2011 13:34:34 +0200

rtfilter (1.0-0) lucid; urgency=low

  * Remove dependency_libs from .la files.

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 18 May 2011 16:38:26 +0200

rtfilter (1.0) unstable; urgency=low

  * Initial Release.

 -- Nicolas Bourdaud <nicolas.bourdaud@epfl.ch>  Fri, 06 May 2011 16:00:26 +0200

=== debian/control ===
Source: rtfilter
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), dh-autoreconf
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/rtfilter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/rtfilter.git
Homepage: http://cnbi.epfl.ch/software/rtfilter.html

Package: librtfilter1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: realtime digital filtering library
 rtfilter is a library that provides a set of routines implementing realtime
 digital filter for multichannel signals (i.e. filtering multiple signals
 with the same filter parameters). It implements FIR, IIR filters and
 downsampler for float and double data type (both for real and complex
 valued signal). Additional functions are also provided to design few usual
 filters: Butterworth, Chebyshev, windowed sinc, analytical filter...
 .
 One of the main differences from other libraries providing digital signal
 processing is that the filter functions have been specifically designed and
 optimized for multichannel signals (from few channels to several hundred).

Package: librtfilter1-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: librtfilter1 (= ${binary:Version}), ${misc:Depends}
Description: realtime digital filtering library (debugging symbols)
 rtfilter is a library that provides a set of routines implementing realtime
 digital filter for multichannel signals (i.e. filtering multiple signals
 with the same filter parameters). It implements FIR, IIR filters and
 downsampler for float and double data type (both for real and complex
 valued signal). Additional functions are also provided to design few usual
 filters: Butterworth, Chebyshev, windowed sinc, analytical filter...
 .
 One of the main differences from other libraries providing digital signal
 processing is that the filter functions have been specifically designed and
 optimized for multichannel signals (from few channels to several hundred).
 .
 This package provides the debugging symbols of the library.
 
Package: librtfilter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librtfilter1 (= ${binary:Version}), ${misc:Depends}
Description: realtime digital filtering library (development files)
 rtfilter is a library that provides a set of routines implementing realtime
 digital filter for multichannel signals (i.e. filtering multiple signals
 with the same filter parameters). It implements FIR, IIR filters and
 downsampler for float and double data type (both for real and complex
 valued signal). Additional functions are also provided to design few usual
 filters: Butterworth, Chebyshev, windowed sinc, analytical filter...
 .
 One of the main differences from other libraries providing digital signal
 processing is that the filter functions have been specifically designed and
 optimized for multichannel signals (from few channels to several hundred).
 .
 This package contains the files needed to compile and link programs which
 use rtfilter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND = -O3 -Wall -Wextra
else
	export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra
endif
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=-all,+format,+relro,+bindnow

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-matlab-tests

override_dh_installdocs:
	dh_installdocs --link-doc=librtfilter1

override_dh_strip:
	dh_strip --dbg-package=librtfilter1-dbg

# Workaround: Using dh_autoreconf and having moved config.h to src/
# folder makes src/config.h and src/stamp-h1 not to be cleaned correctly
# when running debclean. This fixes this.
override_dh_auto_clean:
	dh_auto_clean
	rm -f src/config.h src/stamp-h1

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://cnbisrv02.epfl.ch/packages/rtfilter/rtfilter-(\d+).(\d+).tar.bz2

## rtfilter 1.3

=== debian/changelog ===
rtfilter (1.3-2) unstable; urgency=medium

  * Do not install examples into library package
    Closes: #1111462
  * debputy lint --auto-fix (routine-update)
  * d/watch: version=5

 -- Andreas Tille <tille@debian.org>  Wed, 22 Oct 2025 16:08:45 +0200

rtfilter (1.3-1) unstable; urgency=medium

  * New upstream version
    Closes: #1080252
  * Maintain package in Debian Med team
    Closes: #1106659
  * Fix Homepage
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Fix day-of-week for changelog entry 1.0-0.
  * d/rules:
     - simplify clean target
     - remove unneeded overrides
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Tue, 27 May 2025 09:48:21 +0200

=== debian/control ===
Source: rtfilter
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Nicolas Bourdaud <nicolas.bourdaud@gmail.com>,
 Andreas Tille <tille@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 python3,
 meson,
Vcs-Browser: https://salsa.debian.org/med-team/rtfilter
Vcs-Git: https://salsa.debian.org/med-team/rtfilter.git
Homepage: https://opensource.mindmaze.com/projects/rtfilter/

Package: librtfilter1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: realtime digital filtering library
 rtfilter is a library that provides a set of routines implementing realtime
 digital filter for multichannel signals (i.e. filtering multiple signals
 with the same filter parameters). It implements FIR, IIR filters and
 downsampler for float and double data type (both for real and complex
 valued signal). Additional functions are also provided to design few usual
 filters: Butterworth, Chebyshev, windowed sinc, analytical filter...
 .
 One of the main differences from other libraries providing digital signal
 processing is that the filter functions have been specifically designed and
 optimized for multichannel signals (from few channels to several hundred).

Package: librtfilter-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 librtfilter1 (= ${binary:Version}),
 ${misc:Depends},
Description: realtime digital filtering library (development files)
 rtfilter is a library that provides a set of routines implementing realtime
 digital filter for multichannel signals (i.e. filtering multiple signals
 with the same filter parameters). It implements FIR, IIR filters and
 downsampler for float and double data type (both for real and complex
 valued signal). Additional functions are also provided to design few usual
 filters: Butterworth, Chebyshev, windowed sinc, analytical filter...
 .
 One of the main differences from other libraries providing digital signal
 processing is that the filter functions have been specifically designed and
 optimized for multichannel signals (from few channels to several hundred).
 .
 This package contains the files needed to compile and link programs which
 use rtfilter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND = -O3 -Wall -Wextra
else
	export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra
endif
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=-all,+format,+relro,+bindnow

%:
	dh  $@ --buildsystem=meson

override_dh_installdocs:
	dh_installdocs
	find debian/*/usr/share/doc -name COPYING -delete

override_dh_installexamples:
	dh_installexamples
	rm -rf debian/librtfilter1/usr/share/doc/librtfilter1/examples

=== debian/watch ===
Version: 5

Template: Github
Owner: mmlabs-mindmaze
Project: rtfilter
